# Fonctionnalités avancées d'amaroK

## Raccourcis clavier

&amarok; utilise des raccourcis claviers comme la plupart des autres applications, en dessous il y a une liste de ces raccourcis et leurs actions respectives. Les raccourcis globaux peuvent être configurés en effectuant un clic droit sur la fenêtre du lecteur et en sélectionnant Configurer les raccourcis globaux.... Les raccourcis d'&amarok; peuvent être configurés en effectuant un clic droit sur la fenêtre de lecture et en sélectionnant Configurer les raccourcis clavier....

Vous pouvez assigner les touches multimédia pour qu'elle fonctionnent en tant que raccourcis d'&amarok;, en faisant de votre clavier le centre de contrôle d'&amarok;.

Les raccourcis globaux sont :

Combinaison de touches | Action
--- | ---
Démarrer X | Jouer
Démarrer C | Pause
Démarrer V | Arrêt
Démarrer B | Piste suivante
Démarrer Z | Piste précédente
Démarrer PN_+ | Monter le son
Démarrer PN_- | Baisser le son
Démarrer A | Ajouter un morceau
Démarrer P | Afficher la liste de lecture
Démarrer O | Montrer l'affichage à l'écran

Les raccourcis &amarok; sont :

Combinaison de touches | Action
--- | ---
Ctrl C | Copier
Ctrl PN_Entrée | Aller au morceau actuel
Ctrl Q | Quitter
Ctrl Maj Z | Refaire
Ctrl S | Enregistrer la liste de lecture
Ctrl A | Sélectionner tout
Ctrl H | Répéter la piste
Ctrl Z | Annuler

Les raccourcis du navigateur de la liste de lecture sont :

Combinaison de touches | Action
--- | ---
Espace | Charger la liste de lecture
F2 | Renommer la liste de lecture
Effacement | Supprimer la liste de lecture

## L'interface DCOP

L'interface DCOP d'amaroK vous fournit une façon simple de contrôler amaroK avec vos propres scripts personnalisés.

L'interface DCOP pour amaroK a beaucoup de fonctions génériques qui peuvent être trouvés dans d'autres applications KDE. Cette section est censée décrire les fonctions DCOP du lecteur. Un exemple de la fonction pause ressemble à :

&percnt;dcop amarok player pause

Fonction DCOP | Action
--- | ---
album | La fonction album retourne le nom de l'album de la piste actuellement jouée.
artist | La fonction artist retourne l'artiste de la piste actuellement jouée.
bitrate | La fonction bitrate retourne le débit de la piste actuellement jouée.
comment | La fonction comment retourne le commentaire de la piste actuellement jouée.
coverImage | La fonction coverImage retourne l'URL de l'image de la pochette de la piste actuellement jouée.
currentTime | La fonction currentTime retourne la position (mm:ss) sur la piste actuellement jouée.
encodedURL | La fonction encodedURL retourne l'URL de la piste actuellement jouée avec les espaces encodés.
genre | La fonction genre retourne le genre de la piste actuellement jouée.
nowPlaying | La fonction nowPlaying retourne l'"Artiste - Titre" de la piste actuellement jouée. Si un des deux tags id3 est vide, seul "Artiste" ou "Titre" sera affiché (sans le "-").
title | La fonction titre retourne le titre de la piste actuellement jouée.
totalTime | La fonction totalTime retourne le temps total (mm:ss) de la piste actuellement jouée.
track | La fonction track retourne le numéro de la piste actuellement jouée.
year | La fonction year retourne l'année de la piste actuellement jouée.
isPlaying | La fonction isPlaying retourne une valeur vraie ou fausse indiquant si le lecteur joue une piste ou non.
randomModeStatus | La fonction randomModeStatus retourne l'état du mode Aléatoire par une valeur vraie ou fausse.
repeatPlaylistStatus | La fonction repeatPlaylistStatus retourne l'état du mode de répétition de la liste de lecture par une valeur vraie ou fausse.
repeatTrackStatus | La fonction repeatTrackStatus retourne l'état du mode de répétition de la piste par une valeur vraie ou fausse.
getVolume | La fonction getVolume retourne une valeur donnant le niveau du volume comprise entre 0-100.
sampleRate | La fonction sampleRate retourne le débit de la piste actuellement jouée.
score | La fonction score retourne le score de la piste actuellement jouée.
status | La fonction status retourne une valeur pour l'état de l'enfin, 2 pour joue, 1 pour pause, et trois pour en occupé.
trackCurrentTime | La fonction trackCurrentTime retourne la valeur en secondes du temps écoulé sur la piste actuellement jouée.
trackTotalTime | La fonction trackTotalTime retourne la valeur en secondes du temps total de la piste actuellement jouée.
addMedia | La fonction addMedia est utilisée pour ajouter des fichiers simples à la liste de lecture.
addMediaList | La fonction addMediaList est utilisée pour ajouter plusieurs fichiers à la liste de lecture.
clearPlaylist | La fonction clearPlaylist est utilisée pour effacer la liste lecture complète.
configEqualizer | La fonction configEqualizer affiche la fenêtre de l'égaliseur.
enableOSD | La fonction enableOSD vous permet de basculer vers l'affichage à l'écran avec une valeur vraie ou fausse
enableRandomMode | La fonction enableRandomMode est utilisée pour basculer vers le mode aléatoire avec une valeur de 0 pour désactivé, et 1 pour activé.
mute | La fonction mute vous permet de muter et de démuter la piste lue.
next | La fonction next avance le lecteur d'une piste.
pause | La fonction pause met en pause la piste actuellement jouée.
play | La fonction play démarre la lecture là ou elle avait été stoppée.
playMedia | La fonction playMEDIA démarre la lecture d'une piste spécifiée par sa KURL.
playPause | La fonction playPause démarre la lecture si elle est actuellement stoppée ou en pause. Cette fonction met aussi en pause la lecture si elle était en cours.
prev | La fonction prev recule le lecteur d'une piste.
saveCurrentPlaylist | La fonction saveCurrentPlaylist enregistre la liste de lecture sous ~/.kde/share/apps/amarok/current.xml.
scanCollection | La fonction scanCollection effectue un scan manuel de votre collection.
seek | La fonction seek est utilisée pour se rendre à un point précis de la piste spécifié par une valeur en secondes.
seekRelative | La fonction seekRelative est utilisée pour se rendre à un point précis de la piste spécifié par une valeur en secondes.
setEqualizerEnabled | La fonction setEqualizerEnabled est utilisée pour activer l'égaliseur par une valeur vraie ou fausse.
setVolume | La fonction setVolume ajuste le volume à un niveau spécifié par une valeur comprise entre 0 et 100.
showOSD | La fonction showOSD active l'OSD pour qu'il montre les informations sur la piste actuelle.
stop | La fonction stop stoppera la lecture si elle est en cours.
togglePlaylist | La fonction togglePlaylist bascule l'utilisation de la liste de lecture soit en l'activant ou en la désactivant.
volumeDown | La fonction volumeDown ajuste le volume vers le bas d'un cran.
volumeUp | La fonction volumeUp ajuste le volume vers le haut d'un cran.

## Options en ligne de commande

amaroK supporte l'utilisation des options Qt et kde standard. amaroK a aussi ses options spécifiques à l'application.

Les options Qt et kde :

Option | Action
--- | ---
--help | Afficher l'aide à propos des options.
--help-qt | Afficher les options spécifiques à Qt.
--help-kde | Afficher les options spécifiques à KDE.
--help-all | Afficher toutes les options.
--author | Afficher les informations sur l'auteur.
-v, --version | Afficher les informations sur la version.
--license | Afficher les informations sur la licence.

Les options amaroK :

Les options &amarok; sont faites pour être utilisées quand &amarok; est en fonctionnement.

Option | Action
--- | ---
-r, --previous | Revenir à la piste précédente dans la liste de lecture.
-p, --play | Démarrer la lecture de la piste actuelle.
-s, --stop | Arrêter la lecture.
--pause | Mettre en pause la lecture.
-f, --next | Aller à la piste suivante dans la liste de lecture.
-a, --append | Ajouter des fichiers/URLs à la liste de lecture.
-e, --enqueue | Voir append, disponible pour la compatibilité avec d'autres outils.
--queue | Mettre en queue des fichiers/URLs après la piste actuellement jouée.
-m, --toggle-playlist-window | Basculer vers la fenêtre de la liste de lecture.
--wizard | Lancer l'assistant à la première utilisation.
--engine "nom" | Démarrer &amarok; avec le moteur "nom".